Skip to main content
Version: 1.0 (Legacy)

Framework Bulk Call

Bulk Call to Framework​

POST /v1/framework/bulk

Overview​

This endpoint delivers scores formatted for visual understanding as per Receptiviti's frameworks. Use this endpoint to obtain scores for a multiple samples of text. The payload consists of an array or list of JSON object.

Limits​

  • Total payload cannot exceed 10MB
  • Number of objects in the array cannot exceed 1,000
  • Limited to 10 requests per second per user

Request​

An array of JSON objects with the following fields:

FieldRequiredTypeDetails
contentYesStringThe text you want to score. This is the only required field and it does not have a default.
request_idStringThis field can be used if you want to associate an identifier with a piece of text. It will be returned with the response. It does not have a default.

[Code example removed β€” see LEGACY_IMPORT_REPORT.md]

Response​

Top-level fields:

FieldTypeDetails
plan_usageObjectDetails about how many words have been used and how much of your word limit remains for the current period.
resultsArray of objectsThere will be one object for each sample of text in the request. That means for for single-score calls, there will be exactly one object while for bulk-score requests, there will be as many result objects as there were requests.